[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TCustomTaskDialog.InternalSetDialogHandle

Sets the value for the Handle property.

## Declaration

Source position: dialogs.pp line 807

`protected procedure TCustomTaskDialog.InternalSetDialogHandle(`
`AHandle: THandle`
`);`

## Arguments

`AHandle` |  | New value for the Handle property.

## Description

InternalSetDialogHandle is called when the form instance for the dialog is created. For platforms using a native task dialog (Windows Vista or later), it is called from the callback routine in the widgetset when the TDN_DIALOG_CONSTRUCTED is handled for the widget. For platforms using an emulated task dialog, it is called when the TLCLTaskDialog instance executes the AfterConstruction method in the form instance. It updates the value in Handle before the OnDialogConstructed event is signalled for the class instance.

## Version info

Added in LCL version 4.0.

## See also

TCustomTaskDialog.Handle |  | Handle for the form displayed for the task dialog.
TCustomTaskDialog.OnDialogConstructed |  | Event handler signalled when the constructor for the dialog form instance has completed.
TLCLTaskDialog.AfterConstruction |  | Performs actions needed when a new instance of the class has been created.